Get Account

GEThttps://bank.dattaremit.com/api/accounts/{account_guid}

Requires a bank-scoped key.

Retrieves an account.

Required scope: accounts:read

Path Params

account_guidstringrequired

Identifier for the account.

Query Params

include_balancesboolean

Whether to include account balances in the response.

Responses

200

account found

401

Unauthorized - Authentication failed

403

Invalid scope

404

account not found

Request

curl https://api.dattaremit.com/api/accounts/{account_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

account found

{
  "type": "string",
  "guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "name": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "platform_balance": 1,
  "minimum_balance_funding_pull": 1,
  "platform_available": 1,
  "state": "string",
  "labels": [
    "string"
  ]
}